<template>
  <div>
    <div class="con-banner-top">
      <div class="box-title">
        <h2 class="title-page">
          オークションお申込み
        </h2>
      </div>
    </div>

    <div class="con-main-body">
      <div class="container">
        <member-form
          @modify="gotoConfirm"
          @cancel="gotoIndex"
        />
      </div>
    </div>
  </div>
</template>

<script>
import MemberForm from '~/components/organisms/member/MemberForm'

export default {
  components: {
    MemberForm
  },

  computed: {
    /**
     * Index path
     *
     * @return {Object} Index path
     */
    indexPath () {
      return {
        path: '/member',
        append: true
      }
    },

    /**
     * confirm path
     *
     * @return {Object} confirm path
     */
    confirmPath () {
      return {
        path: '/member/regist/confirm',
        append: true
      }
    }
  },

  methods: {
    /**
     * Go to index
     */
    gotoIndex () {
      this.$router.push(this.indexPath)
    },

    /**
     * Go to confirm page
     */
    gotoConfirm () {
      this.$router.push(this.confirmPath)
    }
  }
}
</script>
